rpm spec:基于发行版的条件要求

Modified on: Sat, 07 Sep 2019 21:20:02 +0800

我正在尝试为RHEL / CentOS / SL 5和6编写单个rpm规范。此规范适用于python应用程序,因此构建过程没有差异。但是在RHEL / CentOS5上我需要添加一个额外的依赖项。

我如何仅为el5定义依赖?我试过以下:

%if 0%{?redhat} == 5 || 0%{?centos} == 5
Requires:   kmod-coretemp
%endif

不起作用(在CentOS5上构建不会增加kmod-coretemp依赖)。

我也尝试过:

%if %{?dist} == "el5"

报告语法错误。我确定dist宏已设置并包含'el5'。但是我不确定rpm中if条件的语法是什么? rpmguide没有详细的答案。

最佳答案

道奇标签打包指南


相关问答

添加新评论